<xml> </xml>

SOLIDWORKS PDM Professional API Help | Send Feedback
GetFirstFolderPosition Method (IEdmLabel5)
See Also

Collapse All Expand All Language Filter: All Language Filter: Multiple Language Filter: Visual Basic Language Filter: C# Language Filter: C++/CLI

EPDM.Interop.epdm Namespace > IEdmLabel5 Interface : GetFirstFolderPosition Method (IEdmLabel5)

Visual Basic
C#
C++/CLI
Starts an enumeration of the folders set with this label.

# Syntax

Visual Basic |
--- | ---

    Function GetFirstFolderPosition() As IEdmPos5

C# |
--- | ---

    IEdmPos5 GetFirstFolderPosition()

C++/CLI |
--- | ---

    IEdmPos5^ GetFirstFolderPosition();

#### Return Value

IEdmPos5; position of the first folder set with this label

# Remarks

After calling this method, pass the returned first folder position to IEdmLabel5::GetNextFolder or IEdmLabel5::GetNextFolderID to get the first folder in the list of folders set with this label. Then call IEdmLabel5::GetNextFolder or IEdmLabel5::GetNextFolderID repeatedly to get the rest of the folders set with this label.

C++ programmers not using smart-pointer wrapper functions must release the returned interface, IEdmPos5.

Return codes:

- S_OK: The method successfully executed.
- S_FALSE: One of the arguments is invalid.

# See Also

####

IEdmLabel5 Interface
IEdmLabel5 Members

# Availability

SOLIDWORKS PDM Professional Version 5.2